#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int maxn = 0, maxid = 0;
    for (int i = 1; i <= 7; i++)
    {
        int a, b;
        cin >> a >> b;
        if (a + b - 8 > maxn) maxn = a + b - 8, maxid = i;
    }
    cout << maxid;
    return 0;
}
